Package org.apache.synapse.transport.dynamicconfigurations

## Class SenderProfileReloader

- java.lang.Object
- - org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader
  - - org.apache.synapse.transport.dynamicconfigurations.SenderProfileReloader

-     public class SenderProfileReloader
      extends DynamicProfileReloader

  Profile re-loader for nhttp and pass-through SSL senders

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader

      `fileUpdateNotificationHandler`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SenderProfileReloader​(SSLProfileLoader profileLoader, org.apache.axis2.description.ParameterInclude transportOutDescription)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyFileUpdate​(boolean isScheduled)` | Notification method triggers by FileUpdateNotifier and SSLProfileInvoker

    - ### Methods inherited from class org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader

      `extractConfigurationFilePath, extractSleepInterval, getClassName, getFilePath, getLastUpdatedtime, isInvokedFromSchedule, registerListener, setFilePath, setInvokedFromSchedule, setLastUpdatedtime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SenderProfileReloader

          public SenderProfileReloader​(SSLProfileLoader profileLoader,
                                       org.apache.axis2.description.ParameterInclude transportOutDescription)

  - ### Method Detail

    - #### notifyFileUpdate

          public void notifyFileUpdate​(boolean isScheduled)

      Notification method triggers by FileUpdateNotifier and SSLProfileInvoker
      Specified by:
        `notifyFileUpdate` in class `DynamicProfileReloader`
      Parameters:
        `isScheduled` - Boolean value for specify whether this is called from scheduled task